<?php

declare(strict_types=1);

namespace ConnectPay\Payment\Model;

class ImageProviderMapper
{

    public function getProviderData(array $data, array $selectedProviders): array
    {
        $providerArray = [];
        if (array_key_exists('providers', $data)) {
            $providersArray = $data['providers'];
            foreach ($providersArray as $providers) {
                if (in_array($providers['id'], $selectedProviders)) {
                    $providerData[] = $providers;
                }
            }
        }
        if (!empty($providerData)) {
            foreach ($providerData as $providers) {
                $allowed = ['id', 'name', 'presentation'];
                $providerArray[] = array_intersect_key($providers, array_flip($allowed));
            }
        }
        return $providerArray;
    }
}
